#ifndef MY_LTE_POST_GET_H
#define MY_LTE_POST_GET_H

#include <zephyr.h>
#include <net/socket.h>
#include <stdio.h>


#define MAXLINE 4096
#define HTTP_HOST "142.93.37.192"
#define HTTP_PORT 8001
#define HTTP_PATH "/"
#define TEST_STRING  "Hello from nRF9160 DK"

#define POST_TEMPLATE "POST %s? HTTP/1.1\r\n"\
		"Host: %s\r\n"\
		"Connection: keep-alive\r\n"\
	        "Content-type: application/x-www-form-urlencoded\r\n"\
		"Content-length: %d\r\n\r\n"\
		"%s"


#define AT_MAX_CMD_LEN 4096
#define INVALID_DESCRIPTOR -1

#define UART_RX_BUF_SIZE 4096 

#define CMD_STATE 0
#define RESPOND_STATE 1

#define UART_BUF_SIZE 1024
#define RECV_BUF_SIZE 1024





/****************************************************************************************************
*name:  nRF_LTE_check
*todo:  check nRF LTE connect
*return: return at_commands[]
****************************************************************************************************/
int nRF_LTE_check(void); 

void app_socket_start(void); 
extern void NB_IOT_socket_start(void); 
void LTE_socket_com(const char *lte_at_cmd ); 
void LTE_AT_position(char *mccmnc,char *lac, char *cid ); 
 
void app_http_get(void); 

void app_http_post(char *PostString); 

int nRF_offGPS_onLTE(void); 
int nRF_LTE_CLOSE(void); 

#endif